Initiate payout

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Endpoint to initiate a payout. Add a payout account and it's identifier (id) is used when making this request.

Request:

FieldTypeDescription
amountDoubleAmount to be withdrawn
walletIdIntegerUnique identifier of wallet to be debited
payoutAccountIdIntegerPayout account identifier

Example request

curl --location 'https://api.myvendy.com/payout' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data '{
        "amount": 100,
        "walletId": 1, 
        "payoutAccountId": 15
}'

Response:

FieldTypeDescription
statusBooleanStates if request was successfully executed or not
codeIntegerInternal code, success if 200
msgStringA description of the status of the request
dataPayoutNewly initiated payout details

Example response

{
  "status": true,
  "code": 200,
  "msg": "Payout created",
  "data": {
    "id": 19,
    "amount": 5,
    "uid": 1,
    "businessId": 1,
    "walletId": 1,
    "bankId": 15,
    "refid": "ebb8c13f-8e59-4d63-b214-09f3225b8cf1",
    "currency": "NGN",
    "channel": "bank",
    "status": "pending",
    "updatedAt": "2022-09-27T19:28:11.421Z",
    "createdAt": "2022-09-27T19:28:11.421Z",
    "bankaccounts": {
      "id": 15,
      "uid": 1,
      "businessId": 1,
      "defaultBank": false,
      "accountnumber": "123123123",
      "maskedaccountnumber": "******903110",
      "bankname": "GTBank",
      "beneficiaryname": "Test User",
      "beneficiarycountry": "NGA",
      "type": "bank",
      "email": null,
      "createdAt": "2022-07-18T06:00:49.000Z",
      "updatedAt": "2022-07-18T06:00:49.000Z"
    },
    "wallets": {
      "id": 1,
      "ownerid": 1,
      "uid": 1,
      "businessId": 1,
      "balance": 480,
      "lockedBalance": 0,
      "meta": null,
      "pendingInflow": 40,
      "pendingWithdrawal": 80,
      "status": "active",
      "type": "balance",
      "currency": "NGN",
      "fee": 0.015,
      "createdAt": "2022-08-18T11:32:31.000Z",
      "updatedAt": "2022-09-08T09:59:11.000Z",
      "deletedAt": null
    }
  }
}
Body Params
double
required

Amount to be withdrawn

int32
required

Unique identifier of wallet to be debited

int32
required

Payout account identifier

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json